Subject: [RFC v2 5/7] PCI/ACPI: Consolidate common PCI host bridge code into ACPI core

From: [email-masked] (Hanjun Guo)
Date: Thu, 14 May 2015 12:05:43 +0800

On 2015?05?14? 09:09, Jiang Liu wrote:
> On 2015/5/13 21:25, Hanjun Guo wrote:
>> On 2015?05?13? 20:24, Jiang Liu wrote:
>>> On 2015/5/13 17:29, Hanjun Guo wrote:
>>>> Hi Jiang,
>>>>
>>>> On 2015?05?05? 10:46, Jiang Liu wrote:
>>>>
>>>> struct pci_controller {
>>>>           struct acpi_device *companion;
>>>>           void *iommu;
>>>>           int segment;
>>>>           int node;               /* nearest node with memory or
>>>> NUMA_NO_NODE for global allocation */
>>>>
>>>>           void *platform_data;
>>>> };
>>>>
>>>> except void *platform_data;
>>>>
>>>> On ARM64, the structure is almost the same, so how about
>>>> introduce
>>>>
>>>> struct pci_controller {
>>>>           struct acpi_device *companion;  /* ACPI companion device */
>>>>           void            *iommu;         /* IOMMU private data */
>>>>           int             segment;        /* PCI domain */
>>>>           int             node;           /* NUMA node */
>>>> #ifdef CONFIG_IA64
>>>>       void *platform_data;
>>>> #endif
>>>> };
>>>>
>>>> in this file, then can be used for all architectures?
>>> Current mode is that architecture defines its own version of
>>> struct pci_controller. It would be better to keep this pattern.
>>
>> OK, thanks for the clarify :) So how about add my basic
>> PCI support patch for ARM64 on top of you patch set to fix
>> this problem?
>
> Sure, please send me the patches and I will send out v3 to
> cover your review comments.

OK, I need to rework my patches because my patch set is dependent
on top of another MMCFG refactor patch set [1], so I need to remove
MMCONFIG first then will speed up the upstream process of your patch
set, will send you the patches soon.

[1]: https://lkml.org/lkml/2015/4/17/29

Thanks
Hanjun